Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
[Java] Class ClassCompletionVerifier

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.classgen.ClassCompletionVerifier

    public class ClassCompletionVerifier
    extends ClassCodeVisitorSupport

**************************************************************************** Copyright (c) 2004 IBM Corporation and others. All rights reserved. The initial API is made available under the terms of the Common Public License v1.0 which is available at: http://www.eclipse.org/legal/cpl-v10.html Subsequent modifications are made available under the Apache 2.0 license. Contributors: IBM - Initial API and implementation Groovy community - subsequent modifications ****************************************************************************

Constructor Summary
`ClassCompletionVerifier(SourceUnit source)`

Method Summary
`ClassNode` | `getClassNode()`
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitCatchStatement(CatchStatement cs)`
`void` | `visitClass(ClassNode node)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitField(FieldNode node)`
`void` | `visitGStringExpression(GStringExpression expression)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitMethodCallExpression(MethodCallExpression mce)`
`void` | `visitProperty(PropertyNode node)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitVariableExpression, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitRegexExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClassCompletionVerifier

    public ClassCompletionVerifier(SourceUnit source)

Method Detail

### getClassNode

    public ClassNode getClassNode()

### getSourceUnit

    protected SourceUnit getSourceUnit()

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement cs)

### visitClass

    public void visitClass(ClassNode node)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitField

    public void visitField(FieldNode node)

### visitGStringExpression

    public void visitGStringExpression(GStringExpression expression)

### visitMethod

    public void visitMethod(MethodNode node)

### visitMethodCallExpression

    public void visitMethodCallExpression(MethodCallExpression mce)

### visitProperty

    public void visitProperty(PropertyNode node)

Copyright © 2003-2010 The Codehaus. All rights reserved.